<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AndroidLayouts">
    <shared>
      <config />
    </shared>
  </component>
  <component name="AvailableLibraryUpdateStorage">
    <library-updates>
      <library-update>
        <group-id>com.android.support</group-id>
        <name>appcompat-v7</name>
        <version>28.0.0</version>
        <repository>Google,Android Repository</repository>
      </library-update>
      <library-update>
        <group-id>com.android.support.constraint</group-id>
        <name>constraint-layout</name>
        <version>2.0.0-beta6</version>
        <repository>Google</repository>
      </library-update>
      <library-update>
        <group-id>junit</group-id>
        <name>junit</name>
        <version>4.13</version>
        <repository>JCenter</repository>
      </library-update>
      <library-update>
        <group-id>com.android.support.test</group-id>
        <name>runner</name>
        <version>1.0.2</version>
        <repository>Google,Android Repository</repository>
      </library-update>
      <library-update>
        <group-id>com.android.support.test.espresso</group-id>
        <name>espresso-core</name>
        <version>3.0.2</version>
        <repository>Google,Android Repository</repository>
      </library-update>
    </library-updates>
    <last-search-timestamp>1590410398582</last-search-timestamp>
  </component>
  <component name="ChangeListManager">
    <list default="true" id="ceed112a-5e8a-4646-9365-fc0939d7ec88" name="Default Changelist" comment="" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="ExternalProjectsManager">
    <system id="GRADLE">
      <state>
        <projects_view />
      </state>
    </system>
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="375">
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/member/src/main/res/layout/activity_mmeber.xml">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="275">
              <caret line="11" column="29" selection-start-line="11" selection-start-column="29" selection-end-line="11" selection-end-column="29" />
            </state>
          </provider>
          <provider editor-type-id="android-designer2" />
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/annotation_compiler/src/main/java/com/maniu/annotation_compiler/AnnotationCompiler.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="50">
              <caret line="86" column="9" selection-start-line="86" selection-start-column="9" selection-end-line="86" selection-end-column="9" />
              <folding>
                <element signature="imports" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/gradle.properties">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="100">
              <caret line="4" column="47" selection-start-line="4" selection-start-column="47" selection-end-line="4" selection-end-column="47" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/build.gradle">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="725">
              <caret line="29" selection-start-line="29" selection-end-line="29" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/app/src/main/res/layout/activity_main.xml">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="400">
              <caret line="16" column="35" selection-start-line="16" selection-start-column="35" selection-end-line="16" selection-end-column="35" />
            </state>
          </provider>
          <provider editor-type-id="android-designer2" />
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/arouter/src/main/java/com/maniu/arouter/IRouter.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="50">
              <caret line="2" column="17" selection-start-line="2" selection-start-column="17" selection-end-line="2" selection-end-column="17" />
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/member/src/main/manifest/AndroidManifest.xml" />
        <option value="$PROJECT_DIR$/gradle.properties" />
        <option value="$PROJECT_DIR$/login/src/main/res/layout/activity_login.xml" />
        <option value="$PROJECT_DIR$/arouter/src/main/java/com/maniu/arouter/IRoutrt.java" />
        <option value="$PROJECT_DIR$/arouter/src/main/java/com/maniu/arouter/IRouter.java" />
        <option value="$PROJECT_DIR$/app/build.gradle" />
        <option value="$PROJECT_DIR$/login/build.gradle" />
        <option value="$PROJECT_DIR$/member/build.gradle" />
        <option value="$PROJECT_DIR$/login/src/main/java/com/maniu/login/ActivityUtil.java" />
        <option value="$PROJECT_DIR$/annotation/src/main/java/com/maniu/annotation/BindPath.java" />
        <option value="$PROJECT_DIR$/annotation_compiler/build.gradle" />
        <option value="$PROJECT_DIR$/login/src/main/java/com/maniu/login/LoginActivity2.java" />
        <option value="$PROJECT_DIR$/annotation_compiler/src/main/java/com/maniu/annotation_compiler/AnnotationCompiler.java" />
        <option value="$PROJECT_DIR$/member/src/main/java/com/maniu/member/MmeberActivity.java" />
        <option value="$PROJECT_DIR$/arouter/src/main/java/com/maniu/arouter/ARouter.java" />
        <option value="$PROJECT_DIR$/app/src/main/java/com/maniu/mn_2020_5_25/MyApplictaion.java" />
        <option value="$PROJECT_DIR$/app/src/main/AndroidManifest.xml" />
        <option value="$PROJECT_DIR$/app/src/main/res/layout/activity_main.xml" />
        <option value="$PROJECT_DIR$/app/src/main/java/com/maniu/mn_2020_5_25/MainActivity.java" />
        <option value="$PROJECT_DIR$/login/src/main/java/com/maniu/login/LoginActivity.java" />
        <option value="$PROJECT_DIR$/member/src/main/res/layout/activity_mmeber.xml" />
        <option value="$PROJECT_DIR$/build.gradle" />
      </list>
    </option>
  </component>
  <component name="ProjectFrameBounds">
    <option name="width" value="1678" />
    <option name="height" value="1047" />
  </component>
  <component name="ProjectView">
    <navigator currentView="ProjectPane" proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="PackagesPane" />
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="MN_2020_5_25" type="b2602c69:ProjectViewProjectNode" />
              <item name="MN_2020_5_25" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
            </path>
            <path>
              <item name="MN_2020_5_25" type="b2602c69:ProjectViewProjectNode" />
              <item name="MN_2020_5_25" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="annotation_compiler" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="Scope" />
      <pane id="AndroidView" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="android.sdk.path" value="E:/Android/Sdk" />
    <property name="device.picker.selection" value="Pixel_3_API_24_2" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$/../MN_2020_5_6" />
    <property name="project.structure.last.edited" value="Dependencies" />
    <property name="project.structure.proportion" value="0.17" />
    <property name="project.structure.side.proportion" value="0.33124018" />
    <property name="settings.editor.selected.configurable" value="AndroidSdkUpdater" />
    <property name="show.migrate.to.gradle.popup" value="false" />
  </component>
  <component name="RecentsManager">
    <key name="CopyClassDialog.RECENTS_KEY">
      <recent name="com.maniu.mn_2020_5_25" />
      <recent name="com.maniu.login" />
    </key>
    <key name="CopyFile.RECENT_KEYS">
      <recent name="F:\MN_Android\MN_2020_5_25\member\src\main\manifest" />
      <recent name="F:\MN_Android\MN_2020_5_25\login\src\main" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager" selected="Android App.app">
    <configuration default="true" type="AndroidJUnit" factoryName="Android JUnit">
      <option name="TEST_OBJECT" value="class" />
      <option name="WORKING_DIRECTORY" value="$MODULE_DIR$" />
      <method v="2">
        <option name="Android.Gradle.BeforeRunTask" enabled="true" />
      </method>
    </configuration>
    <configuration name="app" type="AndroidRunConfigurationType" factoryName="Android App" activateToolWindowBeforeRun="false">
      <module name="app" />
      <option name="DEPLOY" value="true" />
      <option name="DEPLOY_APK_FROM_BUNDLE" value="false" />
      <option name="DEPLOY_AS_INSTANT" value="false" />
      <option name="ARTIFACT_NAME" value="" />
      <option name="PM_INSTALL_OPTIONS" value="" />
      <option name="DYNAMIC_FEATURES_DISABLED_LIST" value="" />
      <option name="ACTIVITY_EXTRA_FLAGS" value="" />
      <option name="MODE" value="default_activity" />
      <option name="CLEAR_LOGCAT" value="false" />
      <option name="SHOW_LOGCAT_AUTOMATICALLY" value="false" />
      <option name="SKIP_NOOP_APK_INSTALLATIONS" value="true" />
      <option name="FORCE_STOP_RUNNING_APP" value="true" />
      <option name="TARGET_SELECTION_MODE" value="SHOW_DIALOG" />
      <option name="USE_LAST_SELECTED_DEVICE" value="false" />
      <option name="PREFERRED_AVD" value="" />
      <option name="SELECTED_CLOUD_MATRIX_CONFIGURATION_ID" value="-1" />
      <option name="SELECTED_CLOUD_MATRIX_PROJECT_ID" value="" />
      <option name="DEBUGGER_TYPE" value="Auto" />
      <Auto>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
      </Auto>
      <Hybrid>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
      </Hybrid>
      <Java />
      <Native>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
      </Native>
      <Profilers>
        <option name="ADVANCED_PROFILING_ENABLED" value="false" />
        <option name="STARTUP_CPU_PROFILING_ENABLED" value="false" />
        <option name="STARTUP_CPU_PROFILING_CONFIGURATION_NAME" value="Sample Java Methods" />
      </Profilers>
      <option name="DEEP_LINK" value="" />
      <option name="ACTIVITY_CLASS" value="" />
      <method v="2">
        <option name="Android.Gradle.BeforeRunTask" enabled="true" />
      </method>
    </configuration>
    <configuration name="login" type="AndroidRunConfigurationType" factoryName="Android App" activateToolWindowBeforeRun="false">
      <module name="login" />
      <option name="DEPLOY" value="true" />
      <option name="DEPLOY_APK_FROM_BUNDLE" value="false" />
      <option name="DEPLOY_AS_INSTANT" value="false" />
      <option name="ARTIFACT_NAME" value="" />
      <option name="PM_INSTALL_OPTIONS" value="" />
      <option name="DYNAMIC_FEATURES_DISABLED_LIST" value="" />
      <option name="ACTIVITY_EXTRA_FLAGS" value="" />
      <option name="MODE" value="default_activity" />
      <option name="CLEAR_LOGCAT" value="false" />
      <option name="SHOW_LOGCAT_AUTOMATICALLY" value="false" />
      <option name="SKIP_NOOP_APK_INSTALLATIONS" value="true" />
      <option name="FORCE_STOP_RUNNING_APP" value="true" />
      <option name="TARGET_SELECTION_MODE" value="SHOW_DIALOG" />
      <option name="USE_LAST_SELECTED_DEVICE" value="false" />
      <option name="PREFERRED_AVD" value="" />
      <option name="SELECTED_CLOUD_MATRIX_CONFIGURATION_ID" value="-1" />
      <option name="SELECTED_CLOUD_MATRIX_PROJECT_ID" value="" />
      <option name="DEBUGGER_TYPE" value="Auto" />
      <Auto>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
      </Auto>
      <Hybrid>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
      </Hybrid>
      <Java />
      <Native>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
      </Native>
      <Profilers>
        <option name="ADVANCED_PROFILING_ENABLED" value="false" />
        <option name="STARTUP_CPU_PROFILING_ENABLED" value="false" />
        <option name="STARTUP_CPU_PROFILING_CONFIGURATION_NAME" value="Sample Java Methods" />
      </Profilers>
      <option name="DEEP_LINK" value="" />
      <option name="ACTIVITY_CLASS" value="" />
      <method v="2">
        <option name="Android.Gradle.BeforeRunTask" enabled="true" />
      </method>
    </configuration>
    <configuration name="member" type="AndroidRunConfigurationType" factoryName="Android App">
      <module name="member" />
      <option name="DEPLOY" value="true" />
      <option name="DEPLOY_APK_FROM_BUNDLE" value="false" />
      <option name="DEPLOY_AS_INSTANT" value="false" />
      <option name="ARTIFACT_NAME" value="" />
      <option name="PM_INSTALL_OPTIONS" value="" />
      <option name="DYNAMIC_FEATURES_DISABLED_LIST" value="" />
      <option name="ACTIVITY_EXTRA_FLAGS" value="" />
      <option name="MODE" value="default_activity" />
      <option name="CLEAR_LOGCAT" value="false" />
      <option name="SHOW_LOGCAT_AUTOMATICALLY" value="false" />
      <option name="SKIP_NOOP_APK_INSTALLATIONS" value="true" />
      <option name="FORCE_STOP_RUNNING_APP" value="true" />
      <option name="TARGET_SELECTION_MODE" value="SHOW_DIALOG" />
      <option name="USE_LAST_SELECTED_DEVICE" value="false" />
      <option name="PREFERRED_AVD" value="" />
      <option name="SELECTED_CLOUD_MATRIX_CONFIGURATION_ID" value="-1" />
      <option name="SELECTED_CLOUD_MATRIX_PROJECT_ID" value="" />
      <option name="DEBUGGER_TYPE" value="Auto" />
      <Auto>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
      </Auto>
      <Hybrid>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
      </Hybrid>
      <Java />
      <Native>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
      </Native>
      <Profilers>
        <option name="ADVANCED_PROFILING_ENABLED" value="false" />
        <option name="STARTUP_CPU_PROFILING_ENABLED" value="false" />
        <option name="STARTUP_CPU_PROFILING_CONFIGURATION_NAME" value="Sample Java Methods" />
      </Profilers>
      <option name="DEEP_LINK" value="" />
      <option name="ACTIVITY_CLASS" value="" />
      <method v="2">
        <option name="Android.Gradle.BeforeRunTask" enabled="true" />
      </method>
    </configuration>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="ceed112a-5e8a-4646-9365-fc0939d7ec88" name="Default Changelist" comment="" />
      <created>1590397977987</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1590397977987</updated>
    </task>
    <servers />
  </component>
  <component name="ToolWindowManager">
    <frame x="0" y="0" width="1678" height="1047" extended-state="0" />
    <editor active="true" />
    <layout>
      <window_info id="Structure" order="0" side_tool="true" />
      <window_info id="Image Layers" order="1" />
      <window_info id="Favorites" order="2" side_tool="true" />
      <window_info id="Designer" order="3" />
      <window_info id="Capture Tool" order="4" />
      <window_info id="Resources Explorer" order="5" />
      <window_info id="Build Variants" order="6" side_tool="true" />
      <window_info active="true" content_ui="combo" id="Project" order="7" visible="true" weight="0.19863014" />
      <window_info id="Captures" order="8" side_tool="true" weight="0.25" />
      <window_info anchor="bottom" id="Logcat" order="0" />
      <window_info anchor="bottom" id="TODO" order="1" />
      <window_info anchor="bottom" id="Debug" order="2" />
      <window_info anchor="bottom" id="Terminal" order="3" />
      <window_info anchor="bottom" id="Event Log" order="4" side_tool="true" />
      <window_info anchor="bottom" id="Version Control" order="5" />
      <window_info anchor="bottom" id="Flutter Performance" order="6" side_tool="true" />
      <window_info anchor="bottom" id="Build" order="7" visible="true" weight="0.25730994" />
      <window_info anchor="bottom" id="Android Profiler" order="8" show_stripe_button="false" />
      <window_info anchor="bottom" id="Run" order="9" />
      <window_info anchor="right" id="Gradle" order="0" />
      <window_info anchor="right" id="Theme Preview" order="1" />
      <window_info anchor="right" id="Flutter Inspector" order="2" />
      <window_info anchor="right" id="Flutter Outline" order="3" />
      <window_info anchor="right" id="Capture Analysis" order="4" />
      <window_info anchor="right" id="Palette&#9;" order="5" />
      <window_info anchor="right" id="Device File Explorer" order="6" side_tool="true" />
      <window_info anchor="right" id="Preview" order="7" />
    </layout>
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/local.properties">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/login/src/main/manifest/AndroidManifest.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="50">
          <caret line="2" column="25" lean-forward="true" selection-start-line="2" selection-start-column="25" selection-end-line="2" selection-end-column="25" />
        </state>
      </provider>
      <provider editor-type-id="android-manifest" />
    </entry>
    <entry file="file://$PROJECT_DIR$/login/src/main/AndroidManifest.xml">
      <provider selected="true" editor-type-id="text-editor" />
      <provider editor-type-id="android-manifest" />
    </entry>
    <entry file="file://$PROJECT_DIR$/member/src/main/manifest/AndroidManifest.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="150">
          <caret line="6" selection-start-line="6" selection-end-line="6" />
        </state>
      </provider>
      <provider editor-type-id="android-manifest" />
    </entry>
    <entry file="file://$PROJECT_DIR$/member/src/main/AndroidManifest.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="225">
          <caret line="9" column="34" selection-start-line="9" selection-start-column="34" selection-end-line="9" selection-end-column="34" />
        </state>
      </provider>
      <provider editor-type-id="android-manifest" />
    </entry>
    <entry file="file://$PROJECT_DIR$/login/src/main/res/layout/activity_login.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="398">
          <caret line="16" column="28" selection-start-line="16" selection-start-column="28" selection-end-line="16" selection-end-column="28" />
        </state>
      </provider>
      <provider editor-type-id="android-designer2" />
    </entry>
    <entry file="file://F:/sdk1/sources/android-28/java/lang/Override.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="281">
          <caret line="50" column="18" selection-start-line="50" selection-start-column="18" selection-end-line="50" selection-end-column="18" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/build/intermediates/javac/debug/compileDebugJavaWithJavac/classes/com/maniu/mn_2020_5_25/MainActivity.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-189">
          <folding>
            <element signature="e#0#454#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/member/build.gradle">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="296">
          <caret line="53" column="61" selection-start-line="53" selection-start-column="61" selection-end-line="53" selection-end-column="61" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$APPLICATION_HOME_DIR$/jre/jre/lib/rt.jar!/javax/annotation/processing/AbstractProcessor.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="150">
          <caret line="18" column="22" selection-start-line="18" selection-start-column="22" selection-end-line="18" selection-end-column="22" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$APPLICATION_HOME_DIR$/jre/jre/lib/rt.jar!/javax/annotation/processing/SupportedAnnotationTypes.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="225">
          <caret line="16" column="18" selection-start-line="16" selection-start-column="18" selection-end-line="16" selection-end-column="18" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/annotation/src/main/java/com/maniu/annotation/BindPath.java">
      <provider selected="true" editor-type-id="text-editor">
        <state>
          <caret column="8" selection-start-column="8" selection-end-column="28" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/login/src/main/java/com/maniu/login/ActivityUtil.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="200">
          <caret line="8" column="77" selection-start-line="8" selection-start-column="7" selection-end-line="8" selection-end-column="77" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/login/build/generated/source/apt/debug/com/maniu/util/ActivityUtil1590414470618.java" />
    <entry file="file://$PROJECT_DIR$/login/src/main/java/com/maniu/login/LoginActivity2.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="100">
          <caret line="9" column="24" selection-start-line="9" selection-start-column="24" selection-end-line="9" selection-end-column="24" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$APPLICATION_HOME_DIR$/jre/jre/lib/rt.jar!/javax/lang/model/element/VariableElement.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="100">
          <caret line="7" column="17" selection-start-line="7" selection-start-column="17" selection-end-line="7" selection-end-column="17" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/annotation_compiler/build/classes/java/main/META-INF/services/javax.annotation.processing.Processor">
      <provider selected="true" editor-type-id="text-editor">
        <state>
          <caret column="38" selection-start-column="38" selection-end-column="38" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/build.gradle">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="361">
          <caret line="31" column="36" selection-start-line="31" selection-start-column="36" selection-end-line="31" selection-end-column="36" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/login/build.gradle">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="465">
          <caret line="52" column="61" selection-start-line="52" selection-start-column="61" selection-end-line="52" selection-end-column="61" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/build/generated/source/apt/debug/com/maniu/util/ActivityUtil1590414653038.java" />
    <entry file="file://$PROJECT_DIR$/app/src/main/AndroidManifest.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="250">
          <caret line="10" column="36" selection-start-line="10" selection-start-column="36" selection-end-line="10" selection-end-column="36" />
        </state>
      </provider>
      <provider editor-type-id="android-manifest" />
    </entry>
    <entry file="file://$PROJECT_DIR$/member/src/main/java/com/maniu/member/MmeberActivity.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="250">
          <caret line="13" column="42" selection-start-line="13" selection-start-column="42" selection-end-line="13" selection-end-column="42" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/login/src/main/java/com/maniu/login/LoginActivity.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="172">
          <caret line="8" lean-forward="true" selection-start-line="8" selection-end-line="8" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/java/com/maniu/mn_2020_5_25/MainActivity.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="350">
          <caret line="19" column="61" selection-start-line="19" selection-start-column="61" selection-end-line="19" selection-end-column="61" />
          <folding>
            <element signature="e#496#497#0" expanded="true" />
            <element signature="e#518#519#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/java/com/maniu/mn_2020_5_25/MyApplictaion.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="100">
          <caret line="6" column="26" selection-start-line="6" selection-start-column="13" selection-end-line="6" selection-end-column="26" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/arouter/src/main/java/com/maniu/arouter/ARouter.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="536">
          <caret line="36" column="41" selection-start-line="36" selection-start-column="41" selection-end-line="36" selection-end-column="41" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/member/src/main/res/layout/activity_mmeber.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="275">
          <caret line="11" column="29" selection-start-line="11" selection-start-column="29" selection-end-line="11" selection-end-column="29" />
        </state>
      </provider>
      <provider editor-type-id="android-designer2" />
    </entry>
    <entry file="file://$PROJECT_DIR$/build.gradle">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="725">
          <caret line="29" selection-start-line="29" selection-end-line="29" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/res/layout/activity_main.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="400">
          <caret line="16" column="35" selection-start-line="16" selection-start-column="35" selection-end-line="16" selection-end-column="35" />
        </state>
      </provider>
      <provider editor-type-id="android-designer2" />
    </entry>
    <entry file="file://$PROJECT_DIR$/arouter/src/main/java/com/maniu/arouter/IRouter.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="50">
          <caret line="2" column="17" selection-start-line="2" selection-start-column="17" selection-end-line="2" selection-end-column="17" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/annotation_compiler/build.gradle">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="325">
          <caret line="13" lean-forward="true" selection-start-line="13" selection-end-line="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/annotation_compiler/src/main/java/com/maniu/annotation_compiler/AnnotationCompiler.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="50">
          <caret line="86" column="9" selection-start-line="86" selection-start-column="9" selection-end-line="86" selection-end-column="9" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/gradle.properties">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="100">
          <caret line="4" column="47" selection-start-line="4" selection-start-column="47" selection-end-line="4" selection-end-column="47" />
        </state>
      </provider>
    </entry>
  </component>
</project>